/**
 * Common (non-printable) keycodes for `keydown` and `keyup` events. Note that
 * `keypress` handles things differently and may not return the same values.
 */
export const BACKSPACE = 8
export const TAB = 9
export const RETURN = 13
export const ESC = 27
export const SPACE = 32
export const LEFT = 37
export const UP = 38
export const RIGHT = 39
export const DOWN = 40

export const DEFAULT_LABELKEY = 'label'
export const ACTUAL_VALUE = 'actual_value'
export const MAXIMUM_DROPDOWN_HEIGHT = 200
export const MINIMUM_DROPDOWN_WIDTH = 100
export const SELECT_HEIGHT = 34
export const SELECT_WIDTH = '100%'
export const DROPDOWN_ITEM_HEIGHT = 30

export const OPTIONS_PROPS = ['items', 'selected', 'activeIndex', 'open', 'autoScroll', 'isDirty']

export const ACTIVE_INDEX_PROPS = ['labelKey', 'multiple', 'defaultFirstItemSelected', 'async']
